<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Auth driver.
 *
 * @package    PTA
 * @subpackage Account
 * @category   Auth
 * @author     Deon George
 * @copyright  (c) phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Auth_TSM extends Auth_ORM {
	/**
	 * Logs a user in.
	 *
	 * @param   string   username
	 * @param   string   password
	 * @param   boolean  enable autologin
	 * @return  boolean
	 */
	protected function _login($user, $password, $remember) {
		if ( ! is_object($user))
		{
			$username = $user;
 
			// Load the user
			$user = ORM::factory('ADMIN')
				->where('ADMIN_NAME','=',strtoupper($username))
				->cached(0)
				->find();

			return $user->loaded();
		}

		return FALSE;
	}
}
?>
